configure: force _WIN32_WINNT >= 0x0502 on mingw32 targets
authorJames Almer <jamrial@gmail.com>
Fri, 19 Aug 2016 18:38:28 +0000 (15:38 -0300)
committerJames Almer <jamrial@gmail.com>
Mon, 22 Aug 2016 20:32:16 +0000 (17:32 -0300)
Windows versions earlier than XP are not supported.

Should fix compilation of command line tools.

Tested-by: Michael Niedermayer <michael@niedermayer.cc>
Signed-off-by: James Almer <jamrial@gmail.com>
configure

index 894e7a9..5b017fd 100755 (executable)
--- a/configure
+++ b/configure
@@ -4920,6 +4920,8 @@ probe_libc(){
             (__MINGW32_MAJOR_VERSION == 3 && __MINGW32_MINOR_VERSION >= 15)" ||
             die "ERROR: MinGW32 runtime version must be >= 3.15."
         add_${pfx}cppflags -U__STRICT_ANSI__ -D__USE_MINGW_ANSI_STDIO=1
+        check_${pfx}cpp_condition _mingw.h "defined(_WIN32_WINNT) && _WIN32_WINNT >= 0x0502" ||
+            add_${pfx}cppflags -D_WIN32_WINNT=0x0502
         eval test \$${pfx_no_}cc_type = "gcc" &&
             add_${pfx}cppflags -D__printf__=__gnu_printf__
     elif check_${pfx}cpp_condition crtversion.h "defined _VC_CRT_MAJOR_VERSION"; then